<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net7.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Exsersewo.Common" Version="2023.1.14" />
        <PackageReference Include="JwtSharp" Version="1.1.0" />
        <PackageReference Include="Magick.NET-Q8-AnyCPU" Version="12.2.2" />
        <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="7.0.2" />
        <PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.1" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="7.0.1" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="7.0.1">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="7.0.0-silver.1" />
        <PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
    </ItemGroup>
    
    <ItemGroup>
        <Content Include="wwwroot\**\*">
            <CopyToPublishDirectory>Always</CopyToPublishDirectory>
        </Content>
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Migrations" />
    </ItemGroup>

    <ItemGroup>
      <_ContentIncludedByDefault Remove="data\templates.json" />
    </ItemGroup>

</Project>
